Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.estimators
Class MahalanobisEstimator

    java.lang.Object
      weka.estimators.MahalanobisEstimator

All Implemented Interfaces:
  java.io.Serializable, Estimator

    public class MahalanobisEstimator

extends java.lang.Object
implements Estimator

Simple probability estimator that places a single normal distribution over the observed values.

Version:
  $Revision: 1.4 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`MahalanobisEstimator(Matrix covariance, double constDelta, double valueMean)` Constructor

Method Summary
`void` | `addValue(double data, double weight)` Add a new data value to the current estimator.
`double` | `getProbability(double data)` Get a probability estimate for a value
`static void` | `main(java.lang.String[] argv)` Main method for testing this class.
`java.lang.String` | `toString()` Display a representation of this estimator

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MahalanobisEstimator

    public MahalanobisEstimator(Matrix covariance,
                                double constDelta,
                                double valueMean)

  Constructor

  Parameters:
    `the` - number of possible symbols

Method Detail

### addValue

    public void addValue(double data,
                         double weight)

  Add a new data value to the current estimator. Does nothing because the data is provided in the constructor.

  Specified by:
    `addValue` in interface `Estimator`
  Parameters:
    `data` - the new data value
    `weight` - the weight assigned to the data value

### getProbability

    public double getProbability(double data)

  Get a probability estimate for a value

  Specified by:
    `getProbability` in interface `Estimator`
  Parameters:
    `data` - the value to estimate the probability of
  Returns:
    the estimated probability of the supplied value

### toString

    public java.lang.String toString()

  Display a representation of this estimator

  Overrides:
    `toString` in class `java.lang.Object`

### main

    public static void main(java.lang.String[] argv)

  Main method for testing this class.

  Parameters:
    `argv` - should contain a sequence of numeric values

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD